{
  "id": "68834d412267d89675102d10",
  "source": "go:encoding/json",
  "type": "go-type",
  "title": "json.type MarshalerError",
  "content": "# type json.type MarshalerError ¶\n\n```\ntype MarshalerError struct {\n\tType reflect.Type\n\tErr  error\n\t// contains filtered or unexported fields\n}\n```\n\nA MarshalerError represents an error from calling a\n[Marshaler.MarshalJSON] or encoding.TextMarshaler.MarshalText method.",
  "url": "https://pkg.go.dev/encoding/json#type MarshalerError ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/encoding/json",
    "kind": "type",
    "method_count": 0,
    "package": "json",
    "symbol": "type MarshalerError ¶",
    "type_kind": "alias",
    "underlying": "type MarshalerError struct {\n\tType reflect.Type\n\tErr  error\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "1b64adf881d5fbfa677bd159233ccc3046860dbe9d921aa5d348c8926951fec5",
  "timestamp": "2026-02-23T11:22:10.080662818+01:00"
}